diff -urN cmatrix-1.2a.orig/configure cmatrix-1.2a/configure
--- cmatrix-1.2a.orig/configure	2002-04-01 03:17:59.000000000 +0200
+++ cmatrix-1.2a/configure	2006-01-22 03:39:43.000000000 +0100
@@ -1876,7 +1876,7 @@
 if test x$CONSOLECHARS != x -o x$CONSOLECHARS != x'"$CONSOLECHARS"'; then
      if test x$SETFONT != x -o x$SETFONT != x'"$SETFONT"'; then
 
-		for ac_file in /usr/lib/kbd/consolefonts /usr/share/consolefonts
+		for ac_file in /usr/share/kbd/consolefonts /usr/share/consolefonts
 do
 
 ac_safe=`echo "$ac_file" | sed 'y%./+-%__p_%'`
@@ -1909,12 +1909,12 @@
 done
 
 
-	if test "x$ac_cv_file__usr_lib_kbd_consolefonts" = "xno"; then
+	if test "x$ac_cv_file__usr_share_kbd_consolefonts" = "xno"; then
 	    if test "x$ac_cv_file__usr_share_consolefonts" = "xno"; then
 		echo "configure: warning:  
 
 *** You do not appear to have a consolefonts directory in a standard location
-*** (/usr/lib/kbd or /usr/share), even though you appear to have the
+*** (/usr/share/kbd or /usr/share), even though you appear to have the
 *** consolechars and/or setfont command.  The matrix font for the console
 *** will not be installed.  This means you will not be able to use the
 *** matrix console font (and the -l command line switch) unless the font
diff -urN cmatrix-1.2a.orig/Makefile.am cmatrix-1.2a/Makefile.am
--- cmatrix-1.2a.orig/Makefile.am	2002-04-01 03:17:17.000000000 +0200
+++ cmatrix-1.2a/Makefile.am	2006-01-22 04:18:57.000000000 +0100
@@ -13,10 +13,10 @@
 	    $(INSTALL_DATA) $(srcdir)/matrix.fnt /usr/share/consolefonts; \
 	    $(INSTALL_DATA) $(srcdir)/matrix.psf.gz /usr/share/consolefonts; \
 	fi
-	@if test -d /usr/lib/kbd/consolefonts; then \
-	    echo " Installing matrix fonts in /usr/lib/kbd/consolefonts..."; \
-	    $(INSTALL_DATA) $(srcdir)/matrix.fnt /usr/lib/kbd/consolefonts; \
-	    $(INSTALL_DATA) $(srcdir)/matrix.psf.gz /usr/lib/kbd/consolefonts; \
+	@if test -d /usr/share/kbd/consolefonts; then \
+	    echo " Installing matrix fonts in /usr/lib/share/consolefonts..."; \
+	    $(INSTALL_DATA) $(srcdir)/matrix.fnt /var/tmp/fst/pkg/usr/share/kbd/consolefonts; \
+	    $(INSTALL_DATA) $(srcdir)/matrix.psf.gz /var/tmp/fst/pkg/usr/share/kbd/consolefonts; \
 	fi
 	@if test -d /usr/lib/X11/fonts/misc; then \
 	    echo " Installing X window matrix fonts in /usr/lib/X11/fonts/misc..."; \
@@ -29,8 +29,8 @@
 	else \
 	if test -d /usr/X11R6/lib/X11/fonts/misc; then \
 	    echo " Installing X window matrix fonts in /usr/X11R6/lib/X11/fonts/misc..."; \
-	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /usr/X11R6/lib/X11/fonts/misc; \
-	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /usr/X11R6/lib/X11/fonts/misc; \
+	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /var/tmp/fst/pkg/usr/X11R6/lib/X11/fonts/misc; \
+	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /var/tmp/fst/pkg/usr/X11R6/lib/X11/fonts/misc; \
 	    echo " Running mkfontdir /usr/X11R6/lib/X11/fonts/misc..."; \
 	    $(MKFONTDIR) /usr/X11R6/lib/X11/fonts/misc; \
 	    echo " Done.  If this is the first time you have installed CMatrix you will"; \
diff -urN cmatrix-1.2a.orig/Makefile.in cmatrix-1.2a/Makefile.in
--- cmatrix-1.2a.orig/Makefile.in	2002-04-01 04:11:59.000000000 +0200
+++ cmatrix-1.2a/Makefile.in	2006-01-22 04:33:11.000000000 +0100
@@ -408,26 +408,26 @@
 	    $(INSTALL_DATA) $(srcdir)/matrix.fnt /usr/share/consolefonts; \
 	    $(INSTALL_DATA) $(srcdir)/matrix.psf.gz /usr/share/consolefonts; \
 	fi
-	@if test -d /usr/lib/kbd/consolefonts; then \
-	    echo " Installing matrix fonts in /usr/lib/kbd/consolefonts..."; \
-	    $(INSTALL_DATA) $(srcdir)/matrix.fnt /usr/lib/kbd/consolefonts; \
-	    $(INSTALL_DATA) $(srcdir)/matrix.psf.gz /usr/lib/kbd/consolefonts; \
+	@if test -d /usr/share/kbd/consolefonts; then \
+	    echo " Installing matrix fonts in usr/share/kbd/consolefonts..."; \
+	    $(INSTALL_DATA) $(srcdir)/matrix.fnt /var/tmp/fst/pkg/usr/share/kbd/consolefonts; \
+	    $(INSTALL_DATA) $(srcdir)/matrix.psf.gz /var/tmp/fst/pkg/usr/share/kbd/consolefonts; \
 	fi
 	@if test -d /usr/lib/X11/fonts/misc; then \
 	    echo " Installing X window matrix fonts in /usr/lib/X11/fonts/misc..."; \
-	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /usr/lib/X11/fonts/misc; \
-	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /usr/lib/X11/fonts/misc; \
+	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /var/tmp/fst/pkg/usr/lib/X11/fonts/misc; \
+	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /var/tmp/fst/pkg/usr/lib/X11/fonts/misc; \
 	    echo " Running mkfontdir /usr/lib/X11/fonts/misc..."; \
-	    $(MKFONTDIR) /usr/lib/X11/fonts/misc; \
+	    $(MKFONTDIR) /var/tmp/fst/pkg/usr/lib/X11/fonts/misc; \
 	    echo " Done.  If this is the first time you have installed CMatrix you will"; \
 	    echo " probably have to restart X window in order to use the mtx.pcf font."; \
 	else \
 	if test -d /usr/X11R6/lib/X11/fonts/misc; then \
 	    echo " Installing X window matrix fonts in /usr/X11R6/lib/X11/fonts/misc..."; \
-	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /usr/X11R6/lib/X11/fonts/misc; \
-	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /usr/X11R6/lib/X11/fonts/misc; \
+	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /var/tmp/fst/pkg/usr/X11R6/lib/X11/fonts/misc; \
+	    $(INSTALL_DATA) $(srcdir)/mtx.pcf /var/tmp/fst/pkg/usr/X11R6/lib/X11/fonts/misc; \
 	    echo " Running mkfontdir /usr/X11R6/lib/X11/fonts/misc..."; \
-	    $(MKFONTDIR) /usr/X11R6/lib/X11/fonts/misc; \
+	    $(MKFONTDIR) /var/tmp/fst/pkg/usr/X11R6/lib/X11/fonts/misc; \
 	    echo " Done.  If this is the first time you have installed CMatrix you will"; \
 	    echo " probably have to restart X window in order to use the mtx.pcf font."; \
 	fi \
